# Contributing to appmetrics

We welcome contributions, but request you follow these guidelines.

 - [Raising issues](#raising-issues)
 - [Feature requests](#feature-requests)
 - [Pull-Requests](#pull-requests)
 - [Contributor License Agreement](#contributor-license-agreement)

## Raising issues

Please raise any bug reports on the relevant project's issue tracker. Be sure to
search the list to see if your issue has already been raised.

A good bug report is one that make it easy for us to understand what you were
trying to do and what went wrong.

Provide as much context as possible so we can try to recreate the issue.

## Feature requests

For feature requests, please raise a Github [issue](https://github.com/RuntimeTools/appmetrics-elk/issues).

## Pull-Requests

If you want to raise a pull-request with a new feature, or a refactoring
of existing code, it may well get rejected if you haven't discussed it in
a Github [issue](https://github.com/RuntimeTools/appmetrics-elk/issues).

### Contributor License Agreement

In order for us to accept pull-requests, the contributor must first complete
a Contributor License Agreement (CLA). This clarifies the intellectual
property license granted with any contribution. It is for your protection as a
Contributor as well as the protection of IBM and its customers; it does not
change your rights to use your own Contributions for any other purpose.

You can download the CLAs here:

 - [Contributor License Agreement](https://github.com/RuntimeTools/appmetrics-elk/raw/master/appmetrics-project-CLA.odt)

If you are an IBMer, please contact us directly as the contribution process is
slightly different.

### Coding standards

Please ensure you follow the coding standards used through-out the existing
code base. Some basic rules include:

 - all files must have the Apache license in the header.
